/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "paletteeditor-imgui.hpp"
#include "tilesheeteditor-imgui.hpp"

#include "module.hpp"

namespace nostalgia::core {

ox::Vector<studio::EditorMaker> Module::editors(core::Context *ctx) noexcept {
	return {
		{
			{"ng"},
			[ctx](const ox::String &path) -> ox::Result<studio::BaseEditor*> {
				try {
					return new TileSheetEditorImGui(ctx, path);
				} catch (const ox::Exception &ex) {
					return ex.toError();
				}
			}
		},
		{
			{"npal"},
			[ctx](const ox::String &path) -> ox::Result<studio::BaseEditor*> {
				return PaletteEditorImGui::make(ctx, path);
			}
		}
	};
}

}
